# Uses of Interface
org.eclipse.birt.report.model.api.metadata.IMemberInfo

Packages that use IMemberInfo
Package
Description
org.eclipse.birt.report.model.api.metadata
Defines the elements, properties, types, structures and slots in the Report Object Model.
org.eclipse.birt.report.model.api.scripts

## Uses of IMemberInfo in org.eclipse.birt.report.model.api.metadata

Classes in org.eclipse.birt.report.model.api.metadata that implement IMemberInfo
Modifier and Type
Class
Description
`class`
`MemberInfo`
Represents the definition of class member.
Methods in org.eclipse.birt.report.model.api.metadata that return IMemberInfo
Modifier and Type
Method
Description
`IMemberInfo`
ClassInfo.`getMember(String name)`
Returns the member definition given method name.
`IMemberInfo`
IClassInfo.`getMember(String name)`
Returns the member definition given method name.
Methods in org.eclipse.birt.report.model.api.metadata that return types with arguments of type IMemberInfo
Modifier and Type
Method
Description
`List<IMemberInfo>`
ClassInfo.`getMembers()`
Returns the list of member definitions.
`List<IMemberInfo>`
IClassInfo.`getMembers()`
Returns the list of member definitions.
Methods in org.eclipse.birt.report.model.api.metadata with parameters of type IMemberInfo
Modifier and Type
Method
Description
`protected void`
ClassInfo.`addMember(IMemberInfo memberDefn)`
Adds one member definition to this class definition.

## Uses of IMemberInfo in org.eclipse.birt.report.model.api.scripts

Classes in org.eclipse.birt.report.model.api.scripts that implement IMemberInfo
Modifier and Type
Class
Description
`class`
`MemberInfo`
Represents the definition of class member.
Methods in org.eclipse.birt.report.model.api.scripts that return IMemberInfo
Modifier and Type
Method
Description
`protected IMemberInfo`
ClassInfo.`createMemberInfo(Field classField)`
`IMemberInfo`
ClassInfo.`getMember(String name)`
Returns the member definition given method name.